.container__nav {
    border-bottom: 1px solid var(--color-w);
}

.section__nav {
    display: flex;
    justify-content: space-between;
    padding: 15px 0;
    align-items: center;
}

/* nav-logo */

.nav__logo {
    width: 95px;
    height: 36px;
}

.nav__logo:hover,
.nav__btn:hover,
.social-network__item:hover {
    filter: invert(0.2) sepia(4) saturate(2);
}

.nav__logo:active,
.nav__btn:active,
.social-network__item:active {
    filter: invert(0.2) sepia(4) saturate(3);
}

.nav__logo:focus {
    box-shadow: 0 0 0 3px lightskyblue;
}

/* nav-panel */

.nav__panel {
    max-width: 535px;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.nav__list {
    display: flex;
    max-width: 450px;
    width: 100%;
    justify-content: space-between;
}

.nav__item {
    position: relative;
    list-style-type: none;
}

.item__link:hover {
    color: var(--hover);
}

.item__link::before {
    position: absolute;
    width: 16px;
    border-bottom: 4px solid transparent;
    content: "";
    top: 25px;
    left: 30%;
    transition: all .5s;
    transform: translateX(-50%);
}

.item__link:hover::before {
    border-bottom: 4px solid var(--color-r);
    transition: all .5s;
    transform: translateX(0%);
}

.item__link:active {
    color: var(--active);
}

.nav__btn {
    padding: 0;
    border: none;
    background-color: transparent;
    cursor: pointer;
}

.btn__item {
    width: 18px;
    height: 18px;
}

.nav__search {
    display: flex;
    margin-top: .5%;
    padding-left: 5px;
    cursor: pointer;
}

.search__input {
    border: none;
    background: transparent;
    border-bottom: 1px solid var(--color-r);
}

input::placeholder {
    color: var(--color-w);
}

.default {
    display: none;
}

.active {
    display: flex;
}


/*@media*/
@media (max-width: 768px) {
    .nav__panel {
        max-width: none;
        width: auto;
    }
    
    .section__nav {
        justify-content: space-between;
    }

    .nav__list {
        max-width: 768px;
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 66px;
        left: 0;
        background: rgba(152, 152, 152, 0.85);
        box-shadow: #ccc;
        width: 100%;
        box-shadow: 0 4px 2px -2px rgba(36, 36, 36, 0.37);
        transition: all 0.4s ease;
        left:-100%;
        z-index: 20;
    }

    .nav__list.open-menu{
        left:0;
    }

    .nav__item {
        left: 47%;
        margin: 20px 0px;
        max-width: 80px;
    }

    .item__link:hover::before {
        display: none;
    }
}




